Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tools.schemadocs
Class SchemaDocsMain

    java.lang.Object
      org.mule.tools.schemadocs.SchemaDocsMain

    public class SchemaDocsMain

extends Object

Field Summary
`static String` | `BACKUP`
`static String[]` | `BLOCKED`
`protected Log` | `logger`
`static String` | `MULE`
`static String` | `TAG`
`static List` | `TARGET_PATH`
`static String` | `XSD`
`static String` | `XSL_FILE`

Constructor Summary
`SchemaDocsMain(String prefix, String postfix, String normalizedPath)`

Method Summary
`protected void` | `backup(File file)`
`protected void` | `create(File file, boolean dir)`
`protected File` | `inTargetDir(String path)`
`protected List` | `listSchema1()`
`protected List` | `listSchema2()`
`static void` | `main(String[] args)`
`protected void` | `processSchema(InputStream xslSource, OutputStream out)`
`protected void` | `readFromDirectory(File dir, List files, FilenameFilter filter)`
`protected void` | `readFromJar(URL jarUrl, List resources)`
`protected static String` | `tagFromFileName(String name)`
`protected static String` | `toLeftOf(String text, String delim, String deflt)`
`protected static String` | `toRightOf(String text, String delim, String deflt, boolean far)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKUP

    public static final String BACKUP

See Also:
  Constant Field Values

### XSD

    public static final String XSD

See Also:
  Constant Field Values

### MULE

    public static final String MULE

See Also:
  Constant Field Values

### TAG

    public static final String TAG

See Also:
  Constant Field Values

### XSL_FILE

    public static final String XSL_FILE

See Also:
  Constant Field Values

### TARGET_PATH

    public static final List TARGET_PATH

### BLOCKED

    public static final String[] BLOCKED

### logger

    protected final Log logger

Constructor Detail

### SchemaDocsMain

    public SchemaDocsMain(String prefix,
                          String postfix,
                          String normalizedPath)
                   throws IOException,
                          TransformerException,
                          ParserConfigurationException

Throws:
  `IOException`
  `TransformerException`
  `ParserConfigurationException`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### create

    protected void create(File file,
                          boolean dir)
                   throws IOException

  Throws:
    `IOException`

### inTargetDir

    protected File inTargetDir(String path)

### processSchema

    protected void processSchema(InputStream xslSource,
                                 OutputStream out)
                          throws TransformerException,
                                 IOException,
                                 ParserConfigurationException

  Throws:
    `TransformerException`
    `IOException`
    `ParserConfigurationException`

### tagFromFileName

    protected static String tagFromFileName(String name)

### toRightOf

    protected static String toRightOf(String text,
                                      String delim,
                                      String deflt,
                                      boolean far)

### toLeftOf

    protected static String toLeftOf(String text,
                                     String delim,
                                     String deflt)

### listSchema1

    protected List listSchema1()
                        throws IOException

  Throws:
    `IOException`

### listSchema2

    protected List listSchema2()
                        throws IOException

  Throws:
    `IOException`

### readFromDirectory

    protected void readFromDirectory(File dir,
                                     List files,
                                     FilenameFilter filter)
                              throws MalformedURLException

  Throws:
    `MalformedURLException`

### readFromJar

    protected void readFromJar(URL jarUrl,
                               List resources)
                        throws IOException

  Throws:
    `IOException`

### backup

    protected void backup(File file)
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.